=== modified file 'baz_import.py'
--- baz_import.py	2005-09-13 14:14:22 +0000
+++ baz_import.py	2005-09-13 14:21:09 +0000
@@ -585,16 +585,17 @@
         print name
 
     def run(self, to_root_dir, from_archive, verbose=False):
-        to_root = os.path.realpath(to_root_dir)
+        to_root = str(os.path.realpath(to_root_dir))
         if not os.path.exists(to_root):
             os.mkdir(to_root)
         import_archive(to_root, from_archive, verbose, self.printer)
 
 def import_archive(to_root, from_archive, verbose, printer):
-    for version in pybaz.Archive(from_archive).iter_versions():
+    for version in pybaz.Archive(str(from_archive)).iter_versions():
         target = os.path.join(to_root, map_namespace(version))
         printer("importing %s into %s" % (version, target))
-        os.makedirs(os.path.dirname(target))
+        if not os.path.exists(os.path.dirname(target)):
+            os.makedirs(os.path.dirname(target))
         import_version(target, version, printer)
 
 def map_namespace(a_version):

=== modified file 'tests/test_baz_import.py'
--- tests/test_baz_import.py	2005-09-13 14:14:22 +0000
+++ tests/test_baz_import.py	2005-09-13 14:21:09 +0000
@@ -429,3 +429,9 @@
         self.failUnless(os.path.exists(os.path.join(self._tmpdir,'output', 'c1', '0.2','branch')))
         self.assertEqual(14, 
                         len(list(os.walk(os.path.join(self._tmpdir,'output')))))
+
+    def test_run_twice(self):
+        self.make_import('c--0')
+        command = cmd_baz_import()
+        command.run(os.path.join(self._tmpdir, 'output'), 'demo@DONOTUSE')
+        command.run(os.path.join(self._tmpdir, 'output'), 'demo@DONOTUSE')

